/*	    _   __ ___    _____    ______ __  __ ____
   	   / | / //   |  / ___/   / ____// / / //  _/
  	  /  |/ // /| |  \__ \   / / __ / / / / / /
 	 / /|  // ___ | ___/ /  / /_/ // /_/ /_/ /
	/_/ |_//_/  |_|/____/   \____/ \____//___/
			Not Another Skinnable GUI

	MP3 ID3v1 Tag Reader by Steve Terry
	June 28, 2003
*/

#ifndef ID3_H
#define ID3_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct{
	char Title[30];
	char Artist[30];
	char Album[30];
	char Year[5];
	char Comment[30];
	int  Genre_idx;
}ID3Tag;

void getTag(FILE *fmp3, ID3Tag *tag);
char *getartist(char *fname);
char *gettitle(char *fname);

#ifdef __cplusplus
}
#endif

#endif
